Subject: Re: Unable to clone via git protocol / early EOF / index-pack failed

From: Holger Freyther <[email-masked]>
Date: Sat, 26 Mar 2011 19:50:41 +0100

On 03/26/2011 06:58 PM, Matthieu Moy wrote:

> 
> That reminds me an issue I had with git over SSH. The problem was indeed
> not Git-related:
> 
>   http://readlist.com/lists/securityfocus.com/secureshell/0/3071.html
> 
> In short, when sending 196481 bytes or more, _and_ if the server did not
> consume the data fast enough, then the connection was closed after
> 65536=2^16 bytes.
> 
> That was on RHEL, and upgrading the kernel solved the issue. Scary...
> 

Yes, scary. I assume that fflush(stdout) has no real meaning for sockets
either? So the next best thing would be to use ioctl and SIOCOUTQ on the
socket? Any other ideas?